import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import path from 'path';
import tailwindcss from '@tailwindcss/vite';
import pkgs from './package.json' with { type: 'json' };
const version = pkgs.version || '0.0.1';
const isDev = process.env.NODE_ENV === 'development';

const basename = isDev ? '/' : pkgs?.basename || '/';
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react(), tailwindcss()],
  resolve: {
    alias: {
      '@': path.resolve(__dirname, './src'),
    },
  },
  base: basename,
  define: {
    BASE_NAME: JSON.stringify(basename),
  },
  build: {
    target: 'esnext',
    lib: {
      entry: path.resolve(__dirname, './src/pages/App.tsx'),
      name: 'Mark',
      fileName: (format) => `mark.${format}.js`,
    },
  },
});
